import { world, system } from "@minecraft/server";

world.beforeEvents.itemUse.subscribe((event) => {
    const { itemStack, source: player } = event;
    const itemId = itemStack.typeId;

    system.run(() => {
        switch (itemId) {
            case "nz:ryo":
                player.runCommandAsync("function ryo10");
                player.sendMessage("§2Você depositou 10 Ryo em sua carteira");
                break;

            case "nz:bomba_c2_j":
                player.runCommandAsync("clear @s nz:bomba_c2_j");
                player.runCommandAsync("give @s nz:argila 12");
                player.runCommandAsync("summon nz:bomba_c2");
                player.sendMessage("§2Você Consome sua argila e Cria um Dragão de Argila");
                break;

            case "nz:guizo":
                player.runCommandAsync("function guizo");
                player.sendMessage("§2Você usou guizo");
                break;

            case "nz:resetar_cla":
                player.runCommandAsync("function resetar_cla");
                player.sendMessage("§2Você Resetou seu clã! (Você não perde nada, apenas pode escolher outro clã e vila");
                break;

            case "nz:juubi_tag":
                player.runCommandAsync("function selar_juubi");
                player.sendMessage("§2Você Selou a Juubi em Você!!!");
                break;

            case "nz:ryo_acumulado":
                player.runCommandAsync("function ryo100");
                player.sendMessage("§2Você depositou 100 Ryo em sua carteira");
                break;

            case "nz:hiramekarei":
                player.runCommandAsync("function hirame1");
                player.sendMessage("§2Você despertou a Hiramekarei");
                break;

            case "nz:hiramekarei2":
                player.runCommandAsync("function hirame2");
                player.sendMessage("§2Você selou a Hiramekarei");
                break;

            case "nz:dna_hagoromo":
                player.runCommandAsync("function dna_hagoromo");
                player.sendMessage("§2Agora você possui o Dna de Hagoromo");
                break;

            case "nz:dna_senju_tag":
                player.runCommandAsync("function dna_senju");
                player.sendMessage("§2Agora você possui o Dna Senju em você");
                break

            case "nz:danzou_tag":
                player.runCommandAsync("function danzou_tag");
                player.sendMessage("§2Agora você possui o poder de Danzou");
                break;

            case "nz:maldicao_do_odio":
                player.runCommandAsync("function odio_uchiha");
                player.sendMessage("§4Você sente um ódio imenso dentro de você!");
                break;

            default:
                break;
        }
    });
});